/[gentoo-x86]/sys-kernel/hardened-sources/hardened-sources-2.6.32-r42.ebuild
Gentoo

Contents of /sys-kernel/hardened-sources/hardened-sources-2.6.32-r42.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.4 - (hide annotations) (download)
Sat Jun 16 13:20:55 2012 UTC (2 years, 3 months ago) by blueness
Branch: MAIN
Changes since 1.3: +3 -3 lines
Drop all but last two stable releases in each branch

(Portage version: 2.1.10.49/cvs/Linux x86_64)

1 blueness 1.4 # Copyright 1999-2012 Gentoo Foundation
2 blueness 1.1 # Distributed under the terms of the GNU General Public License v2
3 blueness 1.4 # $Header: /var/cvsroot/gentoo-x86/sys-kernel/hardened-sources/hardened-sources-2.6.32-r42.ebuild,v 1.3 2011/04/19 02:32:42 blueness Exp $
4 blueness 1.1
5     ETYPE="sources"
6     K_WANT_GENPATCHES="base extras"
7     K_GENPATCHES_VER="34"
8    
9     inherit kernel-2
10     detect_version
11    
12     HGPV="${KV_MAJOR}.${KV_MINOR}.${KV_PATCH}-45"
13     HGPV_URI="http://dev.gentoo.org/~blueness/hardened-sources/hardened-patches/hardened-patches-${HGPV}.extras.tar.bz2"
14     SRC_URI="${KERNEL_URI} ${HGPV_URI} ${GENPATCHES_URI} ${ARCH_URI}"
15    
16     UNIPATCH_LIST="${DISTDIR}/hardened-patches-${HGPV}.extras.tar.bz2"
17     UNIPATCH_EXCLUDE="4200_fbcondecor-0.9.6.patch"
18    
19     DESCRIPTION="Hardened kernel sources (kernel series ${KV_MAJOR}.${KV_MINOR})"
20     HOMEPAGE="http://www.gentoo.org/proj/en/hardened/"
21     IUSE=""
22    
23 blueness 1.4 KEYWORDS="ppc64"
24 blueness 1.1
25     pkg_postinst() {
26     kernel-2_pkg_postinst
27    
28     local GRADM_COMPAT="sys-apps/gradm-2.2.1*"
29    
30     ewarn
31     ewarn "Hardened Gentoo provides three different predefined grsecurity level:"
32     ewarn "[server], [workstation], and [virtualization]."
33     ewarn
34     ewarn "Those who intend to use one of these predefined grsecurity levels"
35     ewarn "should read the help associated with the level. Users importing a"
36     ewarn "kernel configuration from a kernel prior to ${PN}-2.6.32,"
37     ewarn "should review their selected grsecurity/PaX options carefully."
38     ewarn
39     ewarn "Users of grsecurity's RBAC system must ensure they are using"
40     ewarn "${GRADM_COMPAT}, which is compatible with ${PF}."
41     ewarn "It is strongly recommended that the following command is issued"
42     ewarn "prior to booting a ${PF} kernel for the first time:"
43     ewarn
44     ewarn "emerge -na =${GRADM_COMPAT}"
45     ewarn
46     }

  ViewVC Help
Powered by ViewVC 1.1.20